package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 家用空调/家用空气能数据采集
 * /api/acquisition/ext/domestic
 * 退货旧机记录上传记录表  tbl_thh_dcjs_lc_upload
 * 退换货-家用采集上传记录主体表  tblazwgmxjykt_upload
 * 退货旧机图像上传记录表  tbl_thh_dcjs_fj_upload
 * 退换货-其他安装信息 tbl_az_wgmx_other_upload
 * 退换货-家用空调数据采集附件上传记录 tbl_az_wgmx_jykt_fj_upload
 * 退换货-家用特殊要求采集信息表 tbl_az_wgmx_jykt_special_upload
 */
@Slf4j
// @Component
public class DataAcquisition {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${thcj}")
    public void acquisition(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始家用空调/家用空气数据采集: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getType, 7)
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addAcquisition(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("家用空调/家用空气数据采集【" + item.getTabName() +"】失败");
            }
        }
        log.info("家用空调/家用空气数据采集结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
